/*******************************************************************************
 * Copyright (c) 2011 McCOMSoft. All rights reserved.
 *******************************************************************************/
package org.tempuri.NumberService;

public class MathServiceSoapProxy implements
		org.tempuri.NumberService.MathServiceSoap {
	private String _endpoint = null;
	private org.tempuri.NumberService.MathServiceSoap mathServiceSoap = null;

	public MathServiceSoapProxy() {
		_initMathServiceSoapProxy();
	}

	public MathServiceSoapProxy(String endpoint) {
		_endpoint = endpoint;
		_initMathServiceSoapProxy();
	}

	private void _initMathServiceSoapProxy() {
		try {
			mathServiceSoap = (new org.tempuri.NumberService.MathServiceLocator())
					.getMathServiceSoap();
			if (mathServiceSoap != null) {
				if (_endpoint != null)
					((javax.xml.rpc.Stub) mathServiceSoap)
							._setProperty(
									"javax.xml.rpc.service.endpoint.address",
									_endpoint);
				else
					_endpoint = (String) ((javax.xml.rpc.Stub) mathServiceSoap)
							._getProperty("javax.xml.rpc.service.endpoint.address");
			}

		} catch (javax.xml.rpc.ServiceException serviceException) {
		}
	}

	public String getEndpoint() {
		return _endpoint;
	}

	public void setEndpoint(String endpoint) {
		_endpoint = endpoint;
		if (mathServiceSoap != null)
			((javax.xml.rpc.Stub) mathServiceSoap)._setProperty(
					"javax.xml.rpc.service.endpoint.address", _endpoint);

	}

	public org.tempuri.NumberService.MathServiceSoap getMathServiceSoap() {
		if (mathServiceSoap == null)
			_initMathServiceSoapProxy();
		return mathServiceSoap;
	}

	@Override
	public int addNumbers(int number1, int number2)
			throws java.rmi.RemoteException {
		if (mathServiceSoap == null)
			_initMathServiceSoapProxy();
		return mathServiceSoap.addNumbers(number1, number2);
	}

	@Override
	public int subtractNumbers(int number1, int number2)
			throws java.rmi.RemoteException {
		if (mathServiceSoap == null)
			_initMathServiceSoapProxy();
		return mathServiceSoap.subtractNumbers(number1, number2);
	}

}
